#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,a=0,b=0;
    cin>>n;
    int x;
    for(int i=1;i<=n;i++)
    {
        cin>>x;
        k=x%2;
        if(k=1)
        {
            a++;
        }
        if(k=0)
        {
            b++;
        }
    }
    a=a-1;
    a/2-(a-1);
    b=b-1;
    b/2-1-(b-1);
    cout<<a<<" "<<b<<endl;
    return 0;
}

